Summary: oats Time/Project Management System for SME Server
%define name smeserver-oats
Name: %{name}
%define version 2.0.3
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: smeserver-release >= 7.0
BuildRequires: e-smith-devtools
AutoReqProv: no
%description
%name is an implementation of oats (http://www.rustyparts.com/oats.php) 
on SME Server

%changelog
* Fri Mar 02 2007 Craig D. Jensen <craig.d.jensen@gmail.com>
- Name change to reflect SME rpm build naming
- No fuinctional changes. Added gpg signature-key-> import at:
- http://acenet-tech.org/sme/acenettech/RPM-GPG-KEY-cjensen
- [2.0.3-1]

* Sun Dec 17 2006 Craig D. Jensen <craig.d.jensen@gmail.com>
- Changes to provide SME 7.0 compat
- [2.0.3-1cdj]

* Tue Mar 09 2004 Craig D. Jensen <cjensen@acenet-tech.org>
- Initial release
- [2.0.3-cdj]
- Original version

%prep

%setup

%build
#perl createlinks
mkdir -p	root/etc/e-smith/db/accounts/defaults/oats
echo "reserved" > root/etc/e-smith/db/accounts/defaults/oats/type

mkdir -p		root/etc/e-smith/db/configuration/defaults/oats
echo "Time Management" > root/etc/e-smith/db/configuration/defaults/oats/Name
echo "global-pw-remote" > root/etc/e-smith/db/configuration/defaults/oats/PublicAccess

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist \
$RPM_BUILD_ROOT \
> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
/etc/e-smith/events/actions/initialize-default-databases
/sbin/e-smith/expand-template /etc/e-smith/sql/init/80oats.sql
/etc/rc.d/init.d/mysql.init start
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/usr/local/bin/svc -h /service/httpd-e-smith
/bin/chown -R www:www /opt/oats
/bin/chown www:www /opt/oats/print
/bin/chmod 770 /opt/oats/print
/bin/chown root:www /opt/oats/config/*
/bin/chmod 0440 /opt/oats/config/*

echo "------"
echo "acenet-tech.org/sme/smecontrib.php"
echo "For install instructions"
echo "------"
echo "Settings to install: 'config show oats'"
/sbin/e-smith/config show oats

%preun

%postun
if [ $1 = 0 ] ; then
    /sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
    /usr/local/bin/svc -h /service/httpd-e-smith
fi
